#!/usr/bin/rrdcgi

<!--
######################################################################
#            _       _        _        _
#           (_)     | |      | |      | |
#            _ _ __ | |_ ___ | |_ __ _| |
#           | | '_ \| __/ _ \| __/ _` | |
#           | | |_) | || (_) | || (_| | |
#           |_| .__/ \__\___/ \__\__,_|_|
#             | |
#             |_| V0.3 Dec. 17, 2001
#                 By Antoine Megens
#                 webmaster@dingetje.homeip.net
#
# RRD CGI script to display graphs of total IP bandwidth usage
# without the need for an SNMP daemon
#
# part of iptotal package for FREESCO
#
######################################################################
-->

<HTML>
<HEAD>
<TITLE>Network usage</TITLE>

<META HTTP-EQUIV="REFRESH" CONTENT="600">
<META HTTP-EQUIV="EXPIRES" CONTENT="Thu, 06 Dec 2001 09:54:52 GMT">
<META HTTP-EQUIV="pragma" CONTENT="no-cache">

</HEAD>
<BODY bgColor=#000000 leftMargin=20 link=#00ff00 text=#ffff00 topMargin=20 
vLink=#008000 background="/iptotal/images/zertxtr.gif" bgproperties="fixed">

<H1>Network usage</H1>

<table>
<tr><td align=right>
Database last updated: </td>
<td><FONT COLOR=#FF7733>
<RRD::TIME::LAST /var/www/iptotal/iptotal.rrd %c>
</FONT><BR></tr>
<tr><td align=right>
Server Time: </td>
<td>
<FONT COLOR=#FF7733><RRD::TIME::NOW %c></FONT>
</td>
</table>
<h2><p><RRD::INCLUDE /var/www/iptotal/result.txt></p></h2>
<HR>
<P><RRD::GRAPH /var/www/iptotal/images/eth_week.png
          --title "Total data throughput (last week)"
          --imgformat PNG
          --lazy
          --width 600
          --height 150
          --end 'now-60s'
          --start 'end-168h'
	  --imginfo '<IMG SRC=/iptotal/images/%s ALT="kB/s">'
          DEF:inmax=/var/www/iptotal/iptotal.rrd:input:MAX
          DEF:outmax=/var/www/iptotal/iptotal.rrd:output:MAX
          DEF:inavg=/var/www/iptotal/iptotal.rrd:input:AVERAGE
          AREA:inmax#009828:"In kByte/s"
          LINE2:outmax#ff0000:"Out kByte/s"
          LINE2:inavg#0000ff:"In Avg."
          >
</P>
<HR>
<a href="/">
<img border="0" src="/iptotal/images/home.gif" hspace="10" width="42" height="36"></a>
<a href="iptotal.cgi">
<img border=0 src="/iptotal/images/Daily_Button.gif" hspace=5 alt="Last 24 hr"></a>
<a href="iptotal_m.cgi">
<img border=0 src="/iptotal/images/Month_Button.gif" hspace=5 alt="Last Month"></a>
<a href="iptotal_y.cgi">
<img border=0 src="/iptotal/images/Year_Button.gif" hspace=5 alt="Last Year"></a>
<a href="archive.cgi">
<img border=0 src="/iptotal/images/Archive_Button.gif" hspace=5 alt="Last 30 Days"></a>
</BODY>
</HTML>
